Index: Makefile
===================================================================
RCS file: /usr/cvsroot/zaptel/Makefile,v
retrieving revision 1.31
diff -u -r1.31 Makefile
--- Makefile	2 Jan 2004 23:28:52 -0000	1.31
+++ Makefile	2 Feb 2004 19:22:08 -0000
@@ -9,6 +9,7 @@
 # to their working kernel source directory, the way God himself does, of course
 # (assuming He's running Linux -- which we all know He must).
 #
+HOSTCC=gcc
 KINCLUDES=$(shell if [ -d /usr/src/linux-2.4/include ]; then echo /usr/src/linux-2.4/include ; else echo /usr/src/linux/include ; fi)
 
 CFLAGS+=-I. -O4 -g -Wall -DBUILDING_TONEZONE #-DTONEZONE_DRIVER
@@ -67,48 +68,48 @@
 tests: patgen pattest patlooptest hdlcstress hdlctest hdlcgen hdlcverify timertest
 
 tor2.o: tor2.c tor2-hw.h tor.h tor2fw.h zaptel.h
-	gcc $(KFLAGS) -c tor2.c
+	$(HOSTCC) $(KFLAGS) -c tor2.c
 
 zaptel.o: zaptel.c zaptel.h digits.h arith.h sec.h mec.h sec-2.h mec2.h mec3.h
-	gcc $(KFLAGS) -c zaptel.c
+	$(HOSTCC) $(KFLAGS) -c zaptel.c
 
 torisa.o: torisa.c zaptel.h torisa.h
-	gcc $(KFLAGS) -c torisa.c
+	$(HOSTCC) $(KFLAGS) -c torisa.c
 
 wcusb.o: wcusb.c wcusb.h zaptel.h
-	gcc $(KFLAGS) -c wcusb.c
+	$(HOSTCC) $(KFLAGS) -c wcusb.c
 
 wcfxsusb.o: wcfxsusb.c wcfxsusb.h zaptel.h
-	gcc $(KFLAGS) -c wcfxsusb.c
+	$(HOSTCC) $(KFLAGS) -c wcfxsusb.c
 
 wcfxo.o: wcfxo.c zaptel.h
-	gcc $(KFLAGS) -c wcfxo.c
+	$(HOSTCC) $(KFLAGS) -c wcfxo.c
 
 wct1xxp.o:wct1xxp.c zaptel.h
-	gcc $(KFLAGS) -c wct1xxp.c
+	$(HOSTCC) $(KFLAGS) -c wct1xxp.c
 
 wct4xxp.o:wct4xxp.c zaptel.h
-	gcc $(KFLAGS) -c wct4xxp.c
+	$(HOSTCC) $(KFLAGS) -c wct4xxp.c
 
 wcfxs.o:wcfxs.c zaptel.h
-	gcc $(KFLAGS) -c wcfxs.c
+	$(HOSTCC) $(KFLAGS) -c wcfxs.c
 
 wcs3200p.o:wcs3200p.c zaptel.h
-	gcc $(KFLAGS) -c wcs3200p.c
+	$(HOSTCC) $(KFLAGS) -c wcs3200p.c
 
 ztdummy.o:ztdummy.c ztdummy.h
-	gcc $(KFLAGS) -c ztdummy.c
+	$(HOSTCC) $(KFLAGS) -c ztdummy.c
 
 ztdynamic.o: ztdynamic.c zaptel.h
-	gcc $(KFLAGS)  -c ztdynamic.c
+	$(HOSTCC) $(KFLAGS)  -c ztdynamic.c
 
 ztd-eth.o: ztd-eth.c zaptel.h
-	gcc $(KFLAGS)  -c ztd-eth.c
+	$(HOSTCC) $(KFLAGS)  -c ztd-eth.c
 
 tor2ee.o: tor2-hw.h
 
 tor2ee: tor2ee.o
-	gcc $(CFLAGS) -o tor2ee tor2ee.o -lpci
+	$(CC) $(CFLAGS) -o tor2ee tor2ee.o -lpci
 
 zonedata.lo: zonedata.c
 	$(CC) -c $(LCFLAGS) -o zonedata.lo zonedata.c
